We are moving to Git Issues for bug tracking in future releases. During transition, content will be in both tools. If you'd like to file a new bug, please create an issue.

Bug 5837 - wrong upgrade of plugins emailTemplates
wrong upgrade of plugins emailTemplates
Status: RESOLVED FIXED
Product: OJS
Classification: Unclassified
Component: Installer
2.3.3
PC Windows 7
: P5 enhancement
Assigned To: PKP Support
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-30 07:46 PDT by Bozana Bokan
Modified: 2010-09-28 13:46 PDT (History)
1 user (show)

See Also:
Version Reported In:
Also Affects:


Attachments
Patch against PKP pre-release (3.36 KB, patch)
2010-09-28 13:40 PDT, Alec Smecher
Details | Diff
Patch against OJS pre-2.3.3 (652 bytes, patch)
2010-09-28 13:43 PDT, Alec Smecher
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bozana Bokan 2010-08-30 07:46:32 PDT
It seems that plugins email templates are not correctly upgraded --  after the upgrade there are duplicates of email templates that existed in the older version. For example, after the upgrade from 2.3.1-2 to 2.3.3 there are duplicates of email templates that were in 2.3.1-2 (of the plugins doaj, manual payment, paypal and thesis). It seems that they are just inserted anew, without checking if they were there and then upgrading them.
Comment 1 Alec Smecher 2010-09-28 13:40:21 PDT
Created attachment 3256 [details]
Patch against PKP pre-release
Comment 2 Alec Smecher 2010-09-28 13:43:47 PDT
Created attachment 3257 [details]
Patch against OJS pre-2.3.3
Comment 3 Alec Smecher 2010-09-28 13:46:25 PDT
Also fixed for OCS and OMP.